Skip to main content
POST
Render chart image
Returns a PNG from the latest successful default chart snapshot. This endpoint requires an authenticated Chartbrew user session and export access to the project. Data API keys, legacy API keys, public share tokens, and client-supplied chart data are not accepted.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
integer
required

Positive project ID that the user can access.

Required range: x >= 1
chart_id
integer
required

Positive chart ID in the project.

Required range: x >= 1

Body

application/json
version
enum<integer>
required
Available options:
1
layout
enum<string>
default:shareCard
Available options:
shareCard,
chartOnly
size
object
theme
enum<string>
default:light
Available options:
light,
dark
locale
string
default:en-US
Maximum string length: 64
background
object
content
object

Response

PNG image.

The response is of type file.